Bug 1411033 - Review Request: wingpanel - Stylish top panel
Summary: Review Request: wingpanel - Stylish top panel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PantheonDesktopPackageReviews
TreeView+ depends on / blocked
 
Reported: 2017-01-07 17:35 UTC by Fabio Valentini
Modified: 2017-11-11 17:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-11 07:25:43 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2017-01-07 17:35:40 UTC
Spec URL: https://raw.githubusercontent.com/decathorpe/fedora-packaging/3cee17e84e1650a7cbee41f7c4241795921269d0/specs/wingpanel/wingpanel.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/decathorpe/staging/fedora-25-x86_64/00496751-wingpanel/wingpanel-2.0.1-7.fc25.src.rpm

Description: Stylish top panel that holds indicators and spawns an application
launcher.

Fedora Account System Username: decathorpe


koji scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=17198310

COPR build for rawhide and f25: https://copr.fedorainfracloud.org/coprs/decathorpe/staging/build/496751/

This package was already available via my elementary-stable/nightly COPR repository.


Packager's comment:
The libraries are not split out into a -libs subpackage since they are only used by plugins for the main binary.

Comment 1 Neal Gompa 2017-01-07 17:47:16 UTC
Taking this review.

Comment 4 Neal Gompa 2017-01-07 18:28:04 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "BSD (2
     clause)", "Unknown or generated". 108 files have unknown license.
     Detailed output of licensecheck in
     /home/makerpm/1411033-wingpanel/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/locale/rue,
     /usr/share/locale/szl/LC_MESSAGES, /usr/share/locale/rue/LC_MESSAGES,
     /usr/share/locale/ckb/LC_MESSAGES, /usr/lib64/gala,
     /usr/share/locale/szl, /usr/lib64/gala/plugins, /usr/share/locale/ckb
[x]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/locale/rue/LC_MESSAGES, /usr/share/locale/szl/LC_MESSAGES,
     /usr/share/locale/ckb/LC_MESSAGES, /usr/share/locale/ckb,
     /usr/lib64/gala, /usr/share/locale/rue, /usr/share/locale/szl,
     /usr/lib64/gala/plugins
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     wingpanel-libs , wingpanel-devel , wingpanel-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: wingpanel-2.0.1-9.fc26.x86_64.rpm
          wingpanel-libs-2.0.1-9.fc26.x86_64.rpm
          wingpanel-devel-2.0.1-9.fc26.x86_64.rpm
          wingpanel-debuginfo-2.0.1-9.fc26.x86_64.rpm
          wingpanel-2.0.1-9.fc26.src.rpm
wingpanel.x86_64: W: no-documentation
wingpanel.x86_64: W: no-manual-page-for-binary wingpanel
wingpanel-libs.x86_64: W: no-documentation
wingpanel-devel.x86_64: W: only-non-binary-in-usr-lib
wingpanel-devel.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: wingpanel-debuginfo-2.0.1-9.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
wingpanel.x86_64: W: no-documentation
wingpanel.x86_64: W: no-manual-page-for-binary wingpanel
wingpanel-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwingpanel-2.0.so.0.2.0 /lib64/libgdk-3.so.0
wingpanel-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwingpanel-2.0.so.0.2.0 /lib64/libpangocairo-1.0.so.0
wingpanel-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwingpanel-2.0.so.0.2.0 /lib64/libpango-1.0.so.0
wingpanel-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwingpanel-2.0.so.0.2.0 /lib64/libatk-1.0.so.0
wingpanel-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwingpanel-2.0.so.0.2.0 /lib64/libcairo-gobject.so.2
wingpanel-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwingpanel-2.0.so.0.2.0 /lib64/libcairo.so.2
wingpanel-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwingpanel-2.0.so.0.2.0 /lib64/libnotify.so.4
wingpanel-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwingpanel-2.0.so.0.2.0 /lib64/libgdk_pixbuf-2.0.so.0
wingpanel-libs.x86_64: W: no-documentation
wingpanel-devel.x86_64: W: only-non-binary-in-usr-lib
wingpanel-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 13 warnings.



Requires
--------
wingpanel (rpmlib, GLIBC filtered):
    libEGL.so.1()(64bit)
    libX11.so.6()(64bit)
    libXcomposite.so.1()(64bit)
    libXdamage.so.1()(64bit)
    libXext.so.6()(64bit)
    libXfixes.so.3()(64bit)
    libXi.so.6()(64bit)
    libXrandr.so.2()(64bit)
    libXtst.so.6()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libdrm.so.2()(64bit)
    libgala.so.0()(64bit)
    libgbm.so.1()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgee-0.8.so.2()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgranite.so.3()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libjson-glib-1.0.so.0()(64bit)
    libm.so.6()(64bit)
    libmutter-clutter-1.0.so()(64bit)
    libmutter-cogl-pango.so()(64bit)
    libmutter-cogl-path.so()(64bit)
    libmutter-cogl.so()(64bit)
    libmutter.so.0()(64bit)
    libnotify.so.4()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libwayland-client.so.0()(64bit)
    libwayland-egl.so.1()(64bit)
    libwayland-server.so.0()(64bit)
    libwingpanel-2.0.so.0()(64bit)
    rtld(GNU_HASH)
    wingpanel-libs(x86-64)

wingpanel-debuginfo (rpmlib, GLIBC filtered):

wingpanel-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgee-0.8.so.2()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libnotify.so.4()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    rtld(GNU_HASH)

wingpanel-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libwingpanel-2.0.so.0()(64bit)
    pkgconfig(gee-0.8)
    pkgconfig(glib-2.0)
    pkgconfig(gmodule-2.0)
    pkgconfig(gtk+-3.0)
    wingpanel-libs(x86-64)



Provides
--------
wingpanel:
    application()
    application(wingpanel.desktop)
    libwingpanel-interface.so()(64bit)
    wingpanel
    wingpanel(x86-64)

wingpanel-debuginfo:
    wingpanel-debuginfo
    wingpanel-debuginfo(x86-64)

wingpanel-libs:
    libwingpanel-2.0.so.0()(64bit)
    wingpanel-libs
    wingpanel-libs(x86-64)

wingpanel-devel:
    pkgconfig(wingpanel-2.0)
    wingpanel-devel
    wingpanel-devel(x86-64)



Unversioned so-files
--------------------
wingpanel: /usr/lib64/gala/plugins/libwingpanel-interface.so

Source checksums
----------------
https://launchpad.net/wingpanel/2.x/2.0.1/+download/wingpanel-2.0.1.tar.xz :
  CHECKSUM(SHA256) this package     : e378ba458d4d1bfb8cc8c5ef3f2cf67692f2e2bfe50e1d02c73bf375c9220f7a
  CHECKSUM(SHA256) upstream package : e378ba458d4d1bfb8cc8c5ef3f2cf67692f2e2bfe50e1d02c73bf375c9220f7a


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1411033 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Neal Gompa 2017-01-07 18:28:45 UTC
Aside from the gala directory ownership issue (will be fixed in gala), everything looks good.

PACKAGE APPROVED.

Comment 6 Fabio Valentini 2017-01-09 12:34:56 UTC
For the sake of completeness:

The gala directory ownership issue has been fixed with the update to gala-0.3.0-0.bzr552.3 in f25 and rawhide.

Comment 7 Gwyn Ciesla 2017-01-09 14:05:46 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/wingpanel

Comment 8 Fedora Update System 2017-01-09 15:09:17 UTC
wingpanel-2.0.1-9.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-83ec4fed39

Comment 9 Fedora Update System 2017-01-10 03:28:01 UTC
wingpanel-2.0.1-9.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-83ec4fed39

Comment 10 Fedora Update System 2017-01-11 07:25:43 UTC
wingpanel-2.0.1-9.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.